import { Meta, Story, ArgsTable, Canvas } from '@storybook/addon-docs/blocks'
import Button from 'react-bootstrap/Button'
import './buttons.stories.scss'

<Meta title="styleguide/buttons" component={Button} />

# Buttons

Buttons

<Canvas withToolbar>
  <Story name="Buttons">
    <div className="buttons-story">
      {[
        'primary',
        'secondary',
        'success',
        'warning',
        'danger',
        'info',
        'light',
        'dark',
        'link',
        'outline-primary',
        'outline-secondary',
        'outline-success',
        'outline-warning',
        'outline-danger',
        'outline-info',
        'outline-light',
        'outline-dark'
      ].map(variant => (
        <Button variant={variant}>{variant}</Button>
      ))}
    </div>
  </Story>
</Canvas>
